org.gradle.buildinit.tasks

## Class InitBuild

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.buildinit.tasks.InitBuild

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      public class InitBuild
      extends DefaultTask

  Generates a Gradle project structure.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InitBuild()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAvailableBuildTypes()`
    `List<String>` | `getAvailableDSLs()` Available build script DSLs to be used.
    `List<String>` | `getAvailableTestFrameworks()`
    `String` | `getDsl()` The desired DSL of build scripts to create, defaults to 'groovy'.
    `org.gradle.buildinit.plugins.internal.ProjectLayoutSetupRegistry` | `getProjectLayoutRegistry()`
    `String` | `getTestFramework()` Alternative test framework to be used in the generated project.
    `String` | `getType()` The desired type of build to create, defaults to 'pom' if 'pom.xml' is found in project root if no pom.xml is found, it defaults to 'basic'.
    `void` | `setDsl(String dsl)` Set alternative build script DSL to be used.
    `void` | `setProjectLayoutRegistry(org.gradle.buildinit.plugins.internal.ProjectLayoutSetupRegistry projectLayoutRegistry)`
    `void` | `setTestFramework(String testFramework)`
    `void` | `setType(String type)`
    `void` | `setupProjectLayout()`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InitBuild

          public InitBuild()

  - ### Method Detail

    - #### getType

          @Input
          public String getType()

      The desired type of build to create, defaults to 'pom' if 'pom.xml' is found in project root if no pom.xml is found, it defaults to 'basic'. This property can be set via command-line option '--type'.

    - #### getDsl

          @Incubating
           @Optional
           @Input
          public String getDsl()

      The desired DSL of build scripts to create, defaults to 'groovy'. This property can be set via command-line option '--dsl'.
      Since:
        4.5

    - #### getTestFramework

          @Optional
           @Input
          public String getTestFramework()

      Alternative test framework to be used in the generated project. This property can be set via command-line option '--test-framework'

    - #### getProjectLayoutRegistry

          public org.gradle.buildinit.plugins.internal.ProjectLayoutSetupRegistry getProjectLayoutRegistry()

    - #### setupProjectLayout

          public void setupProjectLayout()

    - #### setType

          public void setType(String type)

    - #### getAvailableBuildTypes

          public List<String> getAvailableBuildTypes()

    - #### setDsl

          @Incubating
          public void setDsl(String dsl)

      Set alternative build script DSL to be used.
      Since:
        4.5

    - #### getAvailableDSLs

          @Incubating
          public List<String> getAvailableDSLs()

      Available build script DSLs to be used.
      Since:
        4.5

    - #### setTestFramework

          public void setTestFramework(String testFramework)

    - #### getAvailableTestFrameworks

          public List<String> getAvailableTestFrameworks()

    - #### setProjectLayoutRegistry

          public void setProjectLayoutRegistry(org.gradle.buildinit.plugins.internal.ProjectLayoutSetupRegistry projectLayoutRegistry)